<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Generator &mdash; Medusa Nodes 1.1.0-beta documentation</title>
      <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
    <link rel="shortcut icon" href="../_static/medusa_nodes_favicon.ico"/>
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
    <script src="../_static/js/theme.js"></script>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Visualizer" href="visualizer.html" />
    <link rel="prev" title="Nodes" href="../nodes.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../index.html" class="icon icon-home"> Medusa Nodes
            <img src="../_static/medusa_node_logo_animation_003.gif" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.1.0-beta
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../about.html">About</a></li>
<li class="toctree-l1"><a class="reference internal" href="../release_notes.html">Release Notes</a></li>
<li class="toctree-l1"><a class="reference internal" href="../installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../introduction.html">Introduction</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../nodes.html">Nodes</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../nodes.html#main-nodes">Main Nodes</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../nodes.html#initials">Initials</a><ul class="current">
<li class="toctree-l3 current"><a class="current reference internal" href="#">Generator</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#inputs">Inputs</a></li>
<li class="toctree-l4"><a class="reference internal" href="#properties">Properties</a></li>
<li class="toctree-l4"><a class="reference internal" href="#outputs">Outputs</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="visualizer.html">Visualizer</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../nodes.html#deformers">Deformers</a></li>
<li class="toctree-l2"><a class="reference internal" href="../nodes.html#utility">Utility</a></li>
<li class="toctree-l2"><a class="reference internal" href="../nodes.html#simulation">Simulation</a></li>
<li class="toctree-l2"><a class="reference internal" href="../nodes.html#mask-groups">Mask Groups</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">Medusa Nodes</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../index.html" class="icon icon-home"></a></li>
          <li class="breadcrumb-item"><a href="../nodes.html">Nodes</a></li>
      <li class="breadcrumb-item active">Generator</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../_sources/nodes/generator.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="generator">
<span id="id1"></span><h1>Generator<a class="headerlink" href="#generator" title="Permalink to this headline"></a></h1>
<figure class="align-right" style="width: 40%">
<a class="reference internal image-reference" href="../_images/generator.JPG"><img alt="../_images/generator.JPG" src="../_images/generator.JPG" style="width: 400px;" /></a>
</figure>
<p class="linemarker linemarker-13">This node generates splines which will be later converted into hair by the Visualizer node.</p>
<div class="admonition tip">
<p class="admonition-title">Tip</p>
<p class="linemarker linemarker-18">Don’t go overboard with <strong>Density</strong> and <strong>Control Points Count</strong> parameters.
Start with lower spline density and control points first and go higher gradually as your groom progresses further.</p>
</div>
<section id="inputs">
<h2>Inputs<a class="headerlink" href="#inputs" title="Permalink to this headline"></a></h2>
<dl>
<dt>Density</dt><dd><p class="linemarker linemarker-25">Defines how densely the splines will be distributed. It is important to note,
that the value of this parameter doesn’t represent amount of splines. It will produce
different results dependent on how large the <em>Emitter Object</em> is.</p>
<p class="linemarker linemarker-29">Example:</p>
<p class="linemarker linemarker-31">The <em>Density</em> of 1000 will produce this result when used with the default 2 x 2 meter plane:</p>
<figure class="align-center">
<a class="reference internal image-reference" href="../_images/density_on_the_plane2x2m.JPG"><img alt="density_on_the_plane2x2m" src="../_images/density_on_the_plane2x2m.JPG" style="width: 600px;" /></a>
</figure>
<p class="linemarker linemarker-39">Same value on the 10 x 10 centimeters plane results in this:</p>
<figure class="align-center">
<a class="reference internal image-reference" href="../_images/density_on_the_plane_10x10cm.JPG"><img alt="density_on_the_plane_10x10cm" src="../_images/density_on_the_plane_10x10cm.JPG" style="width: 600px;" /></a>
</figure>
</dd>
<dt>Density Map</dt><dd><p class="linemarker linemarker-48">Accepts black and white values. Black values will simply leave the surface without any splines (it is a sipmle multiplier for ‘Density’).
The parameter can be influenced by the Mask Groups for example: Texture or Noise.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p class="linemarker linemarker-53">Emitter Object’s mesh resolution affects the quality of the influence.
Low resolution mesh will make the Texture Mask Group inaccurate.
As side effect splines will be partially instanced in black value areas.</p>
</div>
</dd>
<dt>Spline Length</dt><dd><p class="linemarker linemarker-59">defines the length of the generated splines by default the length is set to 1 meter.
This parameter can be changed manually or by using different Mask Groups.</p>
</dd>
<dt>Control Points Count</dt><dd><p class="linemarker linemarker-64">is one of the most important parameters, together with <strong>Density</strong> it directly affects the performance of the addon.
The parameter defines how many control points per spline there will be. All of the splines will
have the same amount of above mentioned control points.</p>
<dl class="simple">
<dt>Guide Curves</dt><dd><p class="linemarker linemarker-69">Control Points Count of the Generator on Guide Curves object is driven with the driver from the Generator of the Hair object.
This driver is automatically created when ever the <strong>Create Guide Curves</strong> operator is activated.</p>
</dd>
</dl>
</dd>
</dl>
</section>
<section id="properties">
<h2>Properties<a class="headerlink" href="#properties" title="Permalink to this headline"></a></h2>
<p class="linemarker linemarker-76">This node has no properties.</p>
</section>
<section id="outputs">
<h2>Outputs<a class="headerlink" href="#outputs" title="Permalink to this headline"></a></h2>
<dl class="simple">
<dt>Splines</dt><dd><p class="linemarker linemarker-83">The actual generated splines by the generator</p>
</dd>
<dt>Emitter Geometry</dt><dd><p class="linemarker linemarker-86">The mesh geometry on top of which, the splines are distributed</p>
</dd>
</dl>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../nodes.html" class="btn btn-neutral float-left" title="Nodes" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="visualizer.html" class="btn btn-neutral float-right" title="Visualizer" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Medusa Nodes.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>